Skip to main content
`Ctrl`+`K`

# PetscQuadratureExpandComposite

Return a quadrature over the composite element, which has the original quadrature in each subelement

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureExpandComposite(PetscQuadrature q, PetscInt numSubelements, const PetscReal v0[], const PetscReal jac[], PetscQuadrature *qref)

Not Collective; No Fortran Support

## Input Parameters

- q - The original `PetscQuadrature`

- numSubelements - The number of subelements the original element is divided into

- v0 - An array of the initial points for each subelement

- jac - An array of the Jacobian mappings from the reference to each subelement

## Output Parameter

- qref - The dimension

## Note

Together `v0` and `jac` define an affine mapping from the original reference element to each subelement

## See Also

`PetscQuadrature`, `PetscFECreate()`, `PetscSpaceGetDimension()`, `PetscDualSpaceGetDimension()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages